<?php
// Header setzen
header("Content-Type: text/html; charset=utf-8");

/**
 *  PEAR HTML_QuickForm2 Vorlage
 *
 *  @license  JUST-DO-WHAT-EVER-YOU-LIKE-BUT-DONT-BLAME-ME-Licence ;-)
 *  @link     http://webkrauts.de
 */

/**
 *  Als erstes wird die Library eingebunden. Der Pfad zur Library muss
 *  im PHP include_path (http://www.php.net/manual/de/ini.core.php#ini.include-path)
 *  vorhanden sein.
 */
require_once 'HTML/QuickForm2.php';

/**
 *  Wir legen ein neues Formular an, in dem wir
 *  eine neue Instanz der Hauptklasse ableiten
 *  Unser Formular soll 'tutorial' heißen
 */
$FORM = new HTML_QuickForm2('tutorial');

/**
 *  Unser erstes und einziges Formularelement für die Vorlage
 */
$email = $FORM->addElement('text', 'email',
  array('id' => 'email', 'class' => 'form-input'),
  array('label' => 'Ihre E-Mail-Adresse')
);

/**
 *  Wir wenden zwei Regeln (Auszeichnung als Pflichtfeld, 
 *  Prüfung auf syntaktisch korrekten Inhalt) auf unser Element an
 */
$email->addRule('required', 'Bitte tragen Sie eine E-Mail Adresse ein');
$email->addRule('email', 'Bitte überprüfen Sie die angegebene E-Mail-Adresse');


/**
 *  Unser Submit-Button
 */
$FORM->addElement('submit', 'submit', array('value' => 'Absenden'));

/**
 *  Wenn das Formular alle Regeln erfolgreich durchlaufen hat
 *  und über Klick auf den Submit-Button abgeschickt wurde, zeige
 *  die Erfolgsmeldung und den Wert des übertragenen Elementes.
 *  Andernfalls zeige einfach das Formular an.
 */
if ($FORM->validate()) {
  echo 'Jo, das Formular hat alle Tests bestanden';
	
	// Wert des E-Mail Feldes ausgeben
	echo 'Wert des Feldes E-Mail Adresse:'.$name->getValue();
} else {

/**
 *  Ausgabe des Formulars
 */
  echo $FORM;
}

?>